Interface STSTokens
- All Known Implementing Classes:
STSTokensImpl
public interface STSTokens
Client interface for the STS pre-auth token operations.
Exchanges an OIDC ID token for an Equinix STS access token via RFC 8693 token exchange
(POST /v1/token, operationId generateStsToken) and lists the access policies
granted to a subject within a project (POST /v1/accessPoliciesGranted, operationId
listAccessPoliciesGranted).
-
Method Summary
Modifier and TypeMethodDescriptiongenerate(TokenRequest request) Exchanges an ID token for an STS access token (RFC 8693 token exchange).Lists the access policies granted to the subject identified by the given token within a project (first page or the page identified by the request'spageToken).
-
Method Details
-
generate
Exchanges an ID token for an STS access token (RFC 8693 token exchange).- Parameters:
request- the token-exchange request (grant type, subject token and optional scope)- Returns:
- the issued access token
-
listAccessPoliciesGranted
Lists the access policies granted to the subject identified by the given token within a project (first page or the page identified by the request'spageToken).- Parameters:
request- the granted-policies request (project, subject token and pagination)- Returns:
- a page of granted access policy ids
-